<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsuranceAvail StructType
 * @subpackage Structs
 */
class InsuranceAvail extends AbstractStructBase
{
    /**
     * The InsuranceAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceAvail
     */
    public $InsuranceAvailRQ;
    /**
     * Constructor method for InsuranceAvail
     * @uses InsuranceAvail::setInsuranceAvailRQ()
     * @param \StructType\JP_InsuranceAvail $insuranceAvailRQ
     */
    public function __construct(\StructType\JP_InsuranceAvail $insuranceAvailRQ = null)
    {
        $this
            ->setInsuranceAvailRQ($insuranceAvailRQ);
    }
    /**
     * Get InsuranceAvailRQ value
     * @return \StructType\JP_InsuranceAvail|null
     */
    public function getInsuranceAvailRQ()
    {
        return $this->InsuranceAvailRQ;
    }
    /**
     * Set InsuranceAvailRQ value
     * @param \StructType\JP_InsuranceAvail $insuranceAvailRQ
     * @return \StructType\InsuranceAvail
     */
    public function setInsuranceAvailRQ(\StructType\JP_InsuranceAvail $insuranceAvailRQ = null)
    {
        $this->InsuranceAvailRQ = $insuranceAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\InsuranceAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
